BioSQLSequenceDBProvider (BioJava-1.5-beta API)
Keywords: org.biojava.bio.seq.db.biosql.BioSQLSequenceDBProvider class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.seq.db.biosql
Class BioSQLSequenceDBProvider

    java.lang.Object
      org.biojava.bio.seq.db.biosql.BioSQLSequenceDBProvider

All Implemented Interfaces:
  SequenceDBProvider

Deprecated. Use hibernate and org.biojavax.bio.db.*

    public class BioSQLSequenceDBProvider

extends Object
implements SequenceDBProvider

Author:
  Thomas Down

Constructor Summary
`BioSQLSequenceDBProvider()` Deprecated.

Method Summary
`String` | `getName()` Deprecated. The name of this provider.
`SequenceDBLite` | `getSequenceDB(Map config)` Deprecated. Get a sequence database.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BioSQLSequenceDBProvider

    public BioSQLSequenceDBProvider()

  Deprecated.

Method Detail

### getName

    public String getName()

  Deprecated.
  Description copied from interface: `SequenceDBProvider`
  The name of this provider.

  Specified by:
    `getName` in interface `SequenceDBProvider`
  Returns:
    the provider's name.

### getSequenceDB

    public SequenceDBLite getSequenceDB(Map config)
                                 throws RegistryException,
                                        BioException

  Deprecated.
  Description copied from interface: `SequenceDBProvider`
  Get a sequence database.

  Specified by:
    `getSequenceDB` in interface `SequenceDBProvider`
  Parameters:
    `config` - a Map containing key-value pairs identifying the database to resolve.
  Returns:
    a SequenceDBLite that was resolved.
  Throws:
    `RegistryException`
    `BioException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD